This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 806100 (CVE-2012-1458)

Summary: CVE-2012-1458 clamav: specially-crafted CHM files evade detection
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: janfrode, nb, ondrejj, redhat-bugzilla, rh-bugzilla, steve
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120319,reported=20120321,source=cve,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:P/A:N,fedora-all/clamav=affected,epel-all/clamav=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-29 17:58:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 806102, 806103    
Bug Blocks:    

Description Vincent Danen 2012-03-22 17:21:30 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-1458 to
the following vulnerability:

Name: CVE-2012-1458
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1458
Assigned: 20120229
Reference: BUGTRAQ:20120319 Evasion attacks expoliting file-parsing vulnerabilities in antivirus products
Reference: http://www.securityfocus.com/archive/1/522005
Reference: http://www.ieee-security.org/TC/SP2012/program.html

The Microsoft CHM file parser in ClamAV 0.96.4 and Sophos Anti-Virus
4.61.0 allows remote attackers to bypass malware detection via a
crafted reset interval in the LZXC header of a CHM file.  NOTE: this
may later be SPLIT into multiple CVEs if additional information is
published showing that the error occurred independently in different
CHM parser implementations.
Comment 1 Vincent Danen 2012-03-22 17:27:24 EDT
Created clamav tracking bugs for this issue

Affects: fedora-all [bug 806102]
Affects: epel-all [bug 806103]
Comment 2 Vincent Danen 2012-03-22 17:33:42 EDT
The upstream bug for this flaw is here:

https://bugzilla.clamav.net/show_bug.cgi?id=4626

Upstream has no further information as of yet; the report indicates the flaw is in 0.96.4, but the current upstream version is 0.97.4, so it's unknown whether these flaws are still present.

http://www.openwall.com/lists/oss-security/2012/03/22/1
Comment 3 Fedora Update System 2012-06-22 04:33:33 EDT
clamav-0.97.5-1700.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-10 16:59:21 EDT
clamav-0.97.5-1600.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-10 21:32:39 EDT
clamav-0.97.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-10 21:33:58 EDT
clamav-0.97.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.